
<div class="form-row">
  <div class="form-group col-10">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-coins"></i></span></div>
      <input class="ControlInput--Input" #txtTasa="" type="number" SoloNumeros="decimal" min="0" [readonly]="!tPermisoAgregar" size="sm"/>
    </div>
  </div>
  <div class="form-group col-2">
    <button class="btn btn-outline-success btn-sm" type="button" (click)="Agregar(txtTasa.value)"><span class="fas fa-plus"></span></button>
  </div>
</div>
<div class="form-row" *ngFor="let tTasa of tTasas | ordenar: {'CampoOrdenamiento' : 'Fecha_vigencia', 'TipoCampo' : 'Fecha', 'TipoOrdenamiento': 'Desc'} | slice: (tPaginaTasa-1) * tTamanoTasa : (tPaginaTasa-1) * tTamanoTasa + tTamanoTasa">
  <div class="form-group col-12">
    <div class="card shadow-sm h-100" [ngClass]="{'border-left-success':tTasa.Estatus==='ACTIVO', 'border-left-secondary':tTasa.Estatus!=='ACTIVO'}">
      <div class="card-body">
        <div class="row no-gutters align-items-center">
          <div class="col mr-2">
            <div class="font-weight-bold mb-1" [ngClass]="{'text-success':tTasa.Estatus==='ACTIVO', 'text-secondary':tTasa.Estatus!=='ACTIVO'}">{{tTasa.Fecha_vigencia | date:'dd/MM/yyyy HH:mm:ss'}}</div>
            <div class="text-xs h6 mb-0 font-weight-bold text-gray-800">{{tTasa.Tasa | number:'1.2-10'}}</div>
          </div>
          <div class="col-auto">
            <div class="fas fa-coins fa-2x text-gray-300"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tTasas.length" [(page)]="tPaginaTasa" aria-label="Default pagination" [pageSize]="tTamanoTasa"></ngb-pagination>
  </div>
</div>